Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.process
Class AbstractListProcessor<IN,OUT,L,F>

    java.lang.Object
      edu.stanford.nlp.process.AbstractListProcessor<IN,OUT,L,F>

Type Parameters:
  `IN` - The type of the input document tokens
  `OUT` - The type of the output document tokens
  `L` - The type of the labels
  `F` - The type of the features

All Implemented Interfaces:
  DocumentProcessor<IN,OUT,L,F>, ListProcessor<IN,OUT>

Direct Known Subclasses:
  PTBEscapingProcessor, StripTagsProcessor, WordToTaggedWordProcessor

    public abstract class AbstractListProcessor<IN,OUT,L,F>

extends Object
implements ListProcessor<IN,OUT>, DocumentProcessor<IN,OUT,L,F>

Class AbstractListProcessor

Author:
  Teg Grenager, Sarah Spikes (sdspikes@cs.stanford.edu) (Templatization)

Constructor Summary
`AbstractListProcessor()`

Method Summary
`Document<L,F,OUT>` | `processDocument(Document<L,F,IN> in)` Converts a Document to a different Document, by transforming or filtering the original Document.
`List<List<OUT>>` | `processLists(List<List<IN>> lists)` Process a list of lists of tokens.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.nlp.process.ListProcessor
`process`

Constructor Detail

### AbstractListProcessor

    public AbstractListProcessor()

Method Detail

### processDocument

    public Document<L,F,OUT> processDocument(Document<L,F,IN> in)

  Description copied from interface: `DocumentProcessor`
  Converts a Document to a different Document, by transforming or filtering the original Document. The general contract of this method is to not modify the `in` Document in any way, and to preserve the metadata of the `in` Document in the returned Document.

  Specified by:
    `processDocument` in interface `DocumentProcessor<IN,OUT,L,F>`
  See Also:
    `FunctionProcessor`

### processLists

    public List<List<OUT>> processLists(List<List<IN>> lists)

  Process a list of lists of tokens. For example this might be a list of lists of words.

  Parameters:
    `lists` - a List of objects of type List
  Returns:
    a List of objects of type List, each of which has been processed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group